dpkg-trigger(1)

NAMN
dpkg-trigger - ett verktyg för paketutlösare

SYNOPS
dpkg-trigger [flaggor...] utlösarnamn

dpkg-trigger [flaggor...] kommando

BESKRIVNING
dpkg-trigger är ett verktyg för att explicit aktivera utlösare och för att testa om de stöds av den körande dpkg.

Det kan användas av utvecklarskript i komplexa och villkorliga situationer där filutlösare, eller det deklarativa activate-direktivet i utlösarstyrfilen inte kan uttrycka det som behövs. Det kan även användas för test och av systemadministratörer (men observera att utlösarna inte kommer att faktiskt köras av dpkg-trigger).

Okända utlösarnamnsyntaxer är ett fel för dpkg-trigger.

KOMMANDON

--check-supported
    Se om den dpkg som körs stöder utlösare (anropas vanligtvis från ett postinst-skript). Avslutar med 0 om en dpkg med utlösarstöd har kört, eller 1 med ett felmeddelande på standard fel om inte. Det är dock normalt sett bättre att bara aktivera den önskade utlösaren med dpkg-trigger.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg om DPKG_ADMINDIR inte har satts..

--root=katalog
    Sätt rotkatalogen till katalog, vilket sätter den administrativa katalogen till ”katalog/var/lib/dpkg” (sedan dpkg 1.21.0).

--by-package=paket
    Överstyr den som väntar på en utlösare (sätts vanligen av dpkg genom miljövariabeln DPKG_MAINTSCRIPT_PACKAGE i utvecklarskript, för att namnge det paket som skriptet tillhör, och detta används som standard).

--no-await
    Denna flagga gör så att det anropade paketet T (om det finns) inte behöver vänta på hantering av utlösaren; det/de intresserade paketet/paketen I kommer inte läggas till T:s väntelista för hantering av utlösare och T:s status ändras inte. IT> kan anses vara installerat även om I kanske ännu inte har hanterat utlösaren.

--await
    Flaggan gör det motsatta mot --no-await (sedan dpkg 1.17.21). Om det intresserade paketet har angivit ”noawait”-direktivet kommer flaggan inte att ha någon effekt. Det är för närvarande standardbetendet.

--no-act
    Bara testa, ändra inte på någonting.

RETURVÄRDE

0   Den önskade funktionen utfördes utan fel. Eller ett test eller ett påstående returnerade sant.

1   Ett test eller ett påstående returnerade falskt.

2   Ödesdigert eller irreparabelt fel på grund av felaktig användning på kommandoraden, eller interaktioner med systemet, såsom databasåtkomst, minnesallokeringer, osv.

MILJÖVARIABLER

DPKG_ROOT
    Om satt och flaggan --root inte har angivits används det som filsystemets rotkatalog (sedan dpkg 1.21.0).

DPKG_ADMINDIR
    Om satt, och flaggan --admindir inte har angivits, används värdet som datakatalog för dpkg.

DPKG_DEBUG
    Anger felsökningsmasken (sedan dpkg 1.21.10) från ett oktalt värde. De flaggor som för närvarande godtas beskrivs i flaggan dpkg --debug, men alla dess flaggor påverkar inte nödvändigtvis detta program.

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

SE ÄVEN
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg/spec/triggers.txt.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.